/*
 * SWE-Praktikum: Freiburg
 * 
 * Letztes Aenderungsdatum: $Date: 2015-12-10 09:41:53 +0100 (Do, 10 Dez 2015) $
 * Letzte  Revision:        $Revision: 1196 $
 * Zuletzt geaendert von:   $Author: stdasteu $
 * 
 */

#ifndef FINANZENTEST_H
#define	FINANZENTEST_H

#include <cppunit/TestFixture.h>
#include <cppunit/extensions/HelperMacros.h>
#include "Finanzen.h"

using namespace std;

class FinanzenTest : public CPPUNIT_NS :: TestFixture{
    CPPUNIT_TEST_SUITE (FinanzenTest);
    CPPUNIT_TEST (umsatzRenditeTest);
    CPPUNIT_TEST (EKAnteilTest);
    CPPUNIT_TEST_SUITE_END ();
    
    public:
        void setUp (void);
        void tearDown (void);
        
    protected:
        void umsatzRenditeTest(void);
        void EKAnteilTest(void);

    private:
        Finanzen *a, *b, *c, *d;
};


#endif	/* FINANZENTEST_H */

