/*
 * SWE-Praktikum: Freiburg
 * 
 * Letztes Aenderungsdatum: $Date: 2015-12-10 09:41:53 +0100 (Do, 10 Dez 2015) $
 * Letzte  Revision:        $Revision: 1196 $
 * Zuletzt geaendert von:   $Author: stdasteu $
 * 
 */

#include "Finanzen.h"
#include "FinanzenTest.h"

#include <stdexcept>

#include <cppunit/CompilerOutputter.h>
#include <cppunit/ui/text/TextTestRunner.h>
#include <cppunit/extensions/TestFactoryRegistry.h>
#include <cppunit/TestResult.h>
#include <cppunit/TestResultCollector.h>
#include <cppunit/TestRunner.h>
#include <cppunit/BriefTestProgressListener.h>
#include <cppunit/TextTestProgressListener.h>

int main(){
    /*CPPUNIT_NS::TestResult testResult;
    
    CPPUNIT_NS::TestResultCollector collectedResults;
    testResult.addListener(&collectedResults);
    
    CPPUNIT_NS::BriefTestProgressListener progress;
    testResult.addListener(&progress);
    
    CPPUNIT_NS::TestRunner testRunner;
    testRunner.umsatzRenditeTest(CPPUNIT_NS::TestFactoryRegistry::getRegistry().makeTest());
    testRunner.run(testResult);
    
    CPPUNIT_NS::CompilerOutputter compilerOutputter(&collectedResults, std::cerr);
    compilerOutputter.write();
    
    return collectedResults.wasSuccessful() ? 0 : 1 ;*/
    CppUnit::TestResult controller;
    
    CppUnit::TestResultCollector result;
    controller.addListener(&result);
    
    CppUnit::TestRunner runner;
    runner.addTest(CppUnit::TestFactoryRegistry::getRegistry().makeTest());
    try{
        //std::cout << "Running " << testPath;
        runner.run(controller);
        
        std::cerr << std::endl;
        
        CppUnit::CompilerOutputter outputter(&result, std::cerr);
        outputter.write();
    }
    catch(std::invalid_argument &e)
    {
        std::cerr << std::endl
                << "ERROR: " << e.what()
                << std::endl;
        return 0;
    }
    return result.wasSuccessful() ? 0 : 1;  
}